GROMACS - Bug #1343

vsiten particles are not integrated
09/27/2013 10:24 PM - David van der Spoel

Status: Closed

Priority: Normal

Assignee: Berk Hess

Category: mdrun

Target version: 5.0

Affected version - master branch Difficulty: uncategorized
extra info:

Affected version: 5.0

Description

Sometime in 2013 during the master branch development a bug was introduced that makes that the coordinates of vsiten particles
are not integrated, that is they remain at the same position. In the attached example one has to change the particle type of the MW
particle in amber99sb-ild.ff/ffnonbonded.itp to V (or D) to make it work, then

grompp -maxwarn 20
mdrun

gmx gmxdump -f traj.xtc | grep ' 1100\]'

X[ 1100]={ 5.35100e+00, 6.43100e+00, 5.72700e+00}
X[ 1100]={ 5.35100e+00, 6.43100e+00, 5.72700e+00}
X[ 1100]={ 5.35100e+00, 6.43100e+00, 5.72700e+00}
X[ 1100]={ 5.35100e+00, 6.43100e+00, 5.72700e+00}
X[ 1100]={ 5.35100e+00, 6.43100e+00, 5.72700e+00}

As you see the coordinates of this vsiten particle is exactly constant!
It works fine in 4.6 and earlier, as well as in older master branches. | tried git bisect but could not find the right position (.

Associated revisions

Revision cd41feab - 09/29/2013 09:59 AM - David van der Spoel

Fixes bug in processing virtual_sitesn in grompp.
Fixes #1343

Change-Id: la1d39199a12292ef86d086a6¢1bb5f1a0bdb5d35

History

#1 - 09/27/2013 10:25 PM - David van der Spoel

Didn't mean to assign it to Berk just added him as a watcher. Will try more tomorrow (.

#2 - 09/28/2013 01:54 PM - David van der Spoel

- Status changed from New to Fix uploaded

Gerrit https://gerrit.gromacs.org/#/c/2648/

#3 - 09/29/2013 10:00 AM - David van der Spoel
- Status changed from Fix uploaded to Resolved

- % Done changed from 0 to 100

Applied in changeset cd41feabe8eafc90dd9c4e3d4{509ce988fc7949.

#4 - 09/29/2013 03:53 PM - David van der Spoel

- Status changed from Resolved to Closed
https://gerrit.gromacs.org/#/c/2648/
http://redmine.gromacs.org/projects/gromacs/repository/revisions/cd41feabe8eafc90dd9c4e3d4f509ce988fc7949

Files

vsitebug.zip 68.6 KB 09/27/2013 David van der Spoel
